@charset "UTF-8";

/* 下層共通
------------------------------------------ */
/* page-head */
.page-head {
  position: relative;
  height: 250px;
  z-index: 2;
  background: url(../images/page/common/page-head.webp) no-repeat center / cover;
  margin-top: 70px;
}
.page-head::before {
  position: absolute;
  content: "";
  background: rgba(0,0,0,0.35);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.page-head .txt-wrap {
  position: absolute;
  width: 100%;
  top: 50%;
  transform: translateY(-50%);
  text-align: center;
}
.page-head .txt-wrap p {
  font-size: 3rem;
  color: #fff;
}
.page-head .txt-wrap p::first-letter {
  text-transform: uppercase;
}
@media screen and (max-width: 767px) {
  .page-head {
    height: 200px;
    margin-top: 50px;
  }
  .page-head .txt-wrap p {
    font-size: 2rem;
  }
}

/* breadcrumb */
.page-head .breadcrumb-wrap {
  position: absolute;
  bottom: 3%;
  left: 5%;
}
.page-head .breadcrumb-wrap {
  color: #fff;
}
.breadcrumb-wrap span {
  color: #fff;
}
@media screen and (max-width: 767px) {
  .page-head .breadcrumb-wrap {
    left: 0;
    padding: 0 1rem;
    line-height: 1;
  }
  .breadcrumb-wrap span {
    line-height: 1.5;
    font-size: 1.2rem;
  }
}


/* ----------------------------------------
会社概要
------------------------------------------*/
/* company-greeting-sec */
.company-greeting-eles .sign {
  max-width: 280px;
  margin-left: auto;
}
.company-greeting-eles .sign img {
  width: 100%;
  height: 100%;
}

/* company-houshin-sec */
.illust-houshin {
  max-width: 550px;
}
.illust-houshin img {
  width: 100%;
}

/* company-summary-sec */
.dl-company-summary {
  display: flex;
  flex-wrap: wrap;
}
.dl-company-summary > dt,
.dl-company-summary > dd {
  padding: 1.5rem;
  border-bottom: 1px solid #2243a6;
}
.dl-company-summary > dt {
  width: 200px;
  background: #eef3ff;
}
.dl-company-summary > dd {
  width: calc(100% - 210px);
}
.dl-yakuin {
  display: flex;
  flex-wrap: wrap;
}
.dl-yakuin > dt {
  width: 200px;
}
.dl-yakuin > dd {
  width: calc(100% - 200px);
}
@media screen and (max-width: 767px) {
  .dl-company-summary > dt,
  .dl-company-summary > dd {
    padding: 1rem;
  }
  .dl-company-summary > dt {
    width: 100%;
  }
  .dl-company-summary > dd {
    width: 100%;
  }
  .dl-yakuin > dt {
    width: 170px;
  }
  .dl-yakuin > dd {
    width: calc(100% - 170px);
  }
}

/* company-history-sec */
.dl-company-history {
  display: flex;
  flex-wrap: wrap;
}
.dl-company-history > dt,
.dl-company-history > dd {
  padding: 1.5rem;
  border-bottom: 1px solid #181818;
}
.dl-company-history > dt.bb-none,
.dl-company-history > dd.bb-none {
  border-bottom: 0;
  padding-bottom: 0;
}
.dl-company-history > dt {
  width: 200px;
  background: #f5f5f5;
}
.dl-company-history > dd {
  width: calc(100% - 210px);
}
@media screen and (max-width: 767px) {
  .dl-company-history > dt,
  .dl-company-history > dd {
    padding: 1rem;
  }
  .dl-company-history > dt {
    width: 100%;
  }
  .dl-company-history > dd {
    width: 100%;
  }
  .dl-company-history > dt.bb-none {
    border-bottom: 1px solid #181818;
    padding: 1rem;
  }
  .dl-company-history > dd.bb-none + dt {
    display: none;
  }
}

/* ----------------------------------------
事業内容
------------------------------------------*/
/* business-intro-sec */
.business-intro-wrap {
  padding: 5rem 2rem;
  background: rgba(255,255,255,0.9);
}
.business-intro-eles h3 {
  font-size: 3rem;
  margin-bottom: 2rem;
}
.business-intro-eles h3::first-letter {
  color: #2243a6;
}
/* .business-intro-eles p {
  position: relative;
  z-index: 1;
  text-shadow: 1px 1px 0px #fff,
  -2px 1px 0px #fff,
  1px -2px 0px #fff,
  -2px -2px 0px #fff,
  1px -1px 0px #fff,
  -1px 1px 0px #fff,
  -2px -1px 0px #fff,
  -1px -2px 0px #fff,
  2px 2px 1px #fff,
  -2px 2px 1px #fff,
  2px -2px 1px #fff,
  -2px -2px 1px #fff,
  2px 0px 1px #fff,
  -1px 2px 1px #fff,
  -2px -1px 1px #fff,
  -1px -2px 1px #fff;
} */
.business-intro-eles .tsushin-wrap {
  position: relative;
  height: 350px;
  margin-top: 7rem;
}
.business-intro-eles .tsushin-wrap::after {
  position: absolute;
  content: "";
  background: url(../images/page/business/illust-tsusininhura.svg) no-repeat center / contain;
  bottom: 2.5%;
  right: 2.5%;
  width: 370px;
  height: 250px;
}
.business-intro-eles .system-wrap {
  position: relative;
  height: 330px;
}
.business-intro-eles .system-wrap::after {
  position: absolute;
  content: "";
  background: url(../images/page/business/illust-systemkaihatsu.svg) no-repeat center / contain;
  bottom: 2.5%;
  right: 10%;
  width: 220px;
  height: 270px;
}
.business-intro-eles .tsushin-wrap::before,
.business-intro-eles .system-wrap::before {
  position: absolute;
  font-size: 4rem;
  font-weight: 600;
  color: #2243a6;
  top: 20px;
  left: 0;
  opacity: .1;
  line-height: 1;
}
.business-intro-eles .tsushin-wrap::before {
  content: "Communications Infrastructure";
}
.business-intro-eles .system-wrap::before {
  content: "System Development";
}
.ul-system {
  padding: 2rem;
  background: #f5f5f5;
}
.ul-system li {
  position: relative;
  padding-left: 2.5rem;
}
.ul-system li:not(:last-child) {
  margin-bottom: .5rem;
}
.ul-system li::before {
  position: absolute;
  content: "";
  background: url(../images/common/icon-folder.svg) no-repeat center / contain;
  top: 2px;
  left: 0;
  width: 20px;
  height: 20px;
}
@media screen and (max-width: 1024px) {
  .business-intro-eles .tsushin-wrap::after {
    width: 250px;
    height: 170px;
  }
  .business-intro-eles .system-wrap::after {
    width: 150px;
    height: 180px;
  }
}
@media screen and (max-width: 767px) {
  .business-intro-eles h3 {
    font-size: 2rem;
  }
  .business-intro-eles .tsushin-wrap::before,
  .business-intro-eles .system-wrap::before {
    font-size: 2.5rem;
  }
  .business-intro-eles .tsushin-wrap {
    height: 550px;
    margin-top: 0;
  }
  .business-intro-eles .system-wrap {
    height: 480px;
  }
}

/* business-strengths-sec */
.ul-business-strengths li:not(:last-child) {
  margin-bottom: 8rem;
}
.ul-business-strengths li:nth-child(odd) .sec-head {
  text-align: right;
}
.ul-business-strengths li:nth-child(even) .media {
  flex-direction: row-reverse;
}
.ul-business-strengths .ttl-en {
  font-size: 5rem;
  line-height: 1;
}
.ul-business-strengths .ttl-ja {
  font-size: 2.5rem;
  color: #2243a6;
}
@media screen and (max-width: 767px) {
  .ul-business-strengths .ttl-en {
    font-size: 2rem;
  }
  .ul-business-strengths .ttl-ja {
    font-size: 1.8rem;
  }
}


/* ----------------------------------------
採用情報
------------------------------------------*/
/* recruit-catch-sec */

/* recruit-feature-sec */
.ul-recruit-feature {
  margin-top: 12rem;
  counter-reset: num 0;
}
.ul-recruit-feature li {
  background: #fff;
  position: relative;
}
.ul-recruit-feature li:not(:last-child) {
  margin-bottom: 12rem;
}
.ul-recruit-feature li::before {
  position: absolute;
  display: inline-block;
  counter-increment: num 1;
  content: '0'counter(num);
  font-size: 12rem;
  line-height: 1;
  right: 20px;
  top: -90px;
  color: #000;
  mix-blend-mode: color-burn;
}
.ul-recruit-feature .media {
  height: 250px;
}
.ul-recruit-feature .media-ele-wrap:nth-of-type(1) {
  width: 25%;
  background: #2243a6;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
}
.ul-recruit-feature .media-ele-wrap:nth-of-type(1)::before {
  position: absolute;
  content: "";
  background: url(../images/common/illust-kairo1.svg) no-repeat center / contain;
  width: 200px;
  height: 200px;
  bottom: -20px;
  left: -20px;
  opacity: .4;
  animation: rotate-anime 20s linear infinite;
}
@keyframes rotate-anime {
  0%  {transform: rotate(0);}
  100%  {transform: rotate(360deg);}
}
.ul-recruit-feature .media-ele-wrap:nth-of-type(2) {
  width: 75%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.ul-recruit-feature h3 {
  font-size: 2rem;
  line-height: 1.4;
  color: #fff;
}
@media screen and (max-width: 820px) {
  .ul-recruit-feature .media {
    height: auto;
    gap: 1rem;
  }
  .ul-recruit-feature .media-ele-wrap:nth-of-type(1),
  .ul-recruit-feature .media-ele-wrap:nth-of-type(2) {
    padding: 1rem;
    width: 100%;
  }
}
@media screen and (max-width: 767px) {
  .ul-recruit-feature {
    margin-top: 7rem;
  }
  .ul-recruit-feature li:not(:last-child) {
    margin-bottom: 8rem;
  }
  .ul-recruit-feature li::before {
    font-size: 5rem;
    top: -40px;
  }
  .ul-recruit-feature h3 {
    font-size: 1.8rem;
  }
}

/* recruit-welfare-sec */
.ul-recruit-welfare {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}
.ul-recruit-welfare li {
  width: calc(100% / 4 - 2rem);
  background: #eef3ff;
  color: #2243a6;
  font-size: 1.6rem;
  font-weight: 500;
  height: 150px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 2rem;
}
@media screen and (max-width: 767px) {
  .ul-recruit-welfare {
    gap: 1rem;
  }
  .ul-recruit-welfare li {
    width: calc(100% / 2 - .5rem);
    font-size: 1.5rem;
    padding: 1rem;
    font-weight: 600;
  }
}


/* recruit-good-sec */
.ul-goodpoint {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}
.ul-goodpoint li {
  background: #eef3ff;
  padding: 2rem;
  position: relative;
  width: calc(100% / 2 - .5rem);
}
.ul-goodpoint li:nth-of-type(3),
.ul-goodpoint li:nth-of-type(4),
.ul-goodpoint li:nth-of-type(5) {
  width: calc(100% / 3 - .7rem);
}
.ul-goodpoint li:not(:last-child) {
  margin-bottom: 5rem;
}
.ul-goodpoint li::before,
.ul-goodpoint li::after,
.ul-goodpoint li .square::before,
.ul-goodpoint li .square::after,
.ul-goodpoint li .solid::before,
.ul-goodpoint li .solid::after,
.ul-goodpoint li .skew::before {
  content: "";
  position: absolute;
}
.ul-goodpoint li::before {
  width: 100%;
  height: 100%;
  top: 3px;
  left: 2px;
  border: 1px solid #181818;
  z-index: 2;
}
.ul-goodpoint li::after {
  bottom: -30px;
  right: 30px;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 30px 40px 0 0;
  border-color: #eef3ff transparent transparent transparent;
}
.ul-goodpoint li .square::before,
.ul-goodpoint li .square::after {
  width: 10px;
  height: 10px;
  z-index: 2;
}
.ul-goodpoint li .square::before {
  bottom: 10px;
  left: 0;
  background: #eef3ff;
}
.ul-goodpoint li .square::after {
  top: 10px;
  right: -10px;
  background: #fff;
}
.ul-goodpoint li .solid::before,
.ul-goodpoint li .solid::after {
  height: 1px;
  bottom: -5px;
}
.ul-goodpoint li .solid::before {
  z-index: 3;
  right: 35px;
  background: #eef3ff;
  width: 30px;
}
.ul-goodpoint li .solid::after {
  z-index: 2;
  right: 28px;
  background: #fff;
  width: 8px;
}
.ul-goodpoint li .skew::before {
  bottom: -45px;
  right: 47px;
  background: #181818;
  width: 1px;
  height: 50px;
  transform: rotate(52deg);
  z-index: 3;
}
@media screen and (max-width: 767px) {
  .ul-goodpoint li:nth-of-type(3),
  .ul-goodpoint li:nth-of-type(4),
  .ul-goodpoint li:nth-of-type(5) {
    width: calc(100% / 2 - .5rem);
  }
}

/* recruit-guide-sec */
.dl-recruit-guide {
  display: flex;
  flex-wrap: wrap;
}
.dl-recruit-guide > dt,
.dl-recruit-guide > dd {
  padding: 1.5rem;
  border-bottom: 1px solid #2243a6;
}
.dl-recruit-guide > dt {
  width: 200px;
  background: #eef3ff;
}
.dl-recruit-guide > dd {
  width: calc(100% - 210px);
  background: #fff;
}
@media screen and (max-width: 767px) {
  .dl-recruit-guide > dt,
  .dl-recruit-guide > dd {
    padding: 1rem;
    width: 100%;
  }
}


/* ----------------------------------------
公開資料
------------------------------------------*/
/* document-detail-sec */
.dl-document {
  display: flex;
  flex-wrap: wrap;
}
.dl-document > dt,
.dl-document > dd {
  padding: 1.5rem;
  border-bottom: 1px solid #181818;
}
.dl-document > dt {
  width: 600px;
  background: #f5f5f5;
}
.dl-document > dd {
  width: calc(100% - 600px);
}
@media screen and (max-width: 767px) {
  .dl-document > dt,
  .dl-document > dd {
    padding: 1rem;
  }
  .dl-document > dt {
    width: 100%;
  }
  .dl-document > dd {
    width: 100%;
  }
}
